Rated 5 out of 5 stars

+1 for compatibility with 3.7a5pre :)

This review is for a previous version of the add-on (1.5.4). 

Re: Firefox 3.7 compatibility

A prerelease version updated for compatibility with Firefox 3.7a5pre has now been made available for testing. See http://www.shadetreeapiary.com/extension/Prerelease/